Skip to main content

Fetch all Events

POST /api/v1/events

This API retrieves the list of LinkedIn events that the authenticated user is either attending or has been invited to, including event details such as title, date, and location.

Headers​

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body​

Schema​

accountIdstringrequiredThe unique identifier of the WeLink account.

Sample Request​

{
"accountId": "string"
}

Responses​

Webhook Events​

Schema​

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
eventsarray[]Array of LinkedIn events.
POST/api/v1/events
x-api-key
x-api-secret